/*  Test for ringed body drawing.			*/
/*			Ernest Sibert - February 1997	*/

import java.awt.*;

public class Rtest extends java.applet.Applet
 {
   int  N;		/* Number of bodies	*/

   Body b;		/* The ringed body	*/

   NBCan viewxy;	/* Solar system - xy plane	*/

   Graphics gxy;	/* Graphics context for viewxy	*/


   /*  Initialize	*/

   public void init()
    { setLayout(new FlowLayout(FlowLayout.CENTER));
      viewxy = new NBCan(500, 500, 12.0, 0.0, 0.0);  add(viewxy);
      viewxy.init();  gxy = viewxy.gcx;
      Body.setScale(viewxy.scale);
      System.out.println("au->pix: "+viewxy.scale+"  km->pix: "+Body.scale);
      b = new RingBody();
      b.init("Saturn",	  -6.8029321,  6.1397428,  0.1652675,
			  -1.4776006, -1.5171660,  0.0851270,
			       95.17,  120536.00, Color.yellow, 5);
      b.drawBody(gxy, new Point(250, 250));
      viewxy.repaint();
    }

 }