//  Canvas with buffer

package cpsJava;

import java.awt.*;

public class BuffCanvas extends Canvas
{
 Graphics cg,		// Graphics for the canvass
	  pg;		// The graphics for buffer

 Image pBuff;		// The image buffer

 
 public void init(int wd, int ht)
  {  setSize(wd, ht);
     cg = getGraphics();
     pBuff = createImage(wd, ht);
     pg = pBuff.getGraphics();
     cg = this.getGraphics();
  }


  // Double-buffered control

  public void update(Graphics g)
   { paint(g); }

  public void repaint()
   { paint(getGraphics()); }

  public void paint(Graphics g)
   { g.drawImage(pBuff, 0, 0, this); }

   public void destroy()
    { getGraphics().dispose(); }
}
